Skip to main content
DELETE
/
api
/
v3
/
store
/
orders
/
{order_id}
/
line_items
/
{id}
Spree SDK
import { createSpreeClient } from '@spree/sdk'

const client = createSpreeClient({
  baseUrl: 'https://your-store.com',
  publishableKey: '<api-key>',
})

const order = await client.store.orders.lineItems.delete('or_abc123', 'li_abc123', {
  bearerToken: '<token>',
})
{
  "id": "or_UkLWZg9DAJ",
  "number": "R225243737",
  "state": "cart",
  "token": "y8HRqKBaF1yhrSWd2mSbTnuyNcaP5aNhC2P",
  "email": "iola.lockman@watersbeatty.com",
  "special_instructions": null,
  "currency": "USD",
  "locale": "en",
  "item_count": 0,
  "state_lock_version": 1,
  "shipment_state": null,
  "payment_state": null,
  "item_total": "0.0",
  "display_item_total": "$0.00",
  "ship_total": "0.0",
  "display_ship_total": "$0.00",
  "adjustment_total": "0.0",
  "display_adjustment_total": "$0.00",
  "promo_total": "0.0",
  "display_promo_total": "$0.00",
  "tax_total": "0.0",
  "display_tax_total": "$0.00",
  "included_tax_total": "0.0",
  "display_included_tax_total": "$0.00",
  "additional_tax_total": "0.0",
  "display_additional_tax_total": "$0.00",
  "total": "0.0",
  "display_total": "$0.00",
  "completed_at": null,
  "created_at": "2026-03-05T10:13:17.302Z",
  "updated_at": "2026-03-05T10:13:17.366Z",
  "order_promotions": [],
  "line_items": [],
  "shipments": [],
  "payments": [],
  "bill_address": {
    "id": "addr_EfhxLZ9ck8",
    "firstname": "John",
    "lastname": "Doe",
    "full_name": "John Doe",
    "address1": "151 Lovely Street",
    "address2": "Northwest",
    "city": "Herndon",
    "zipcode": "35005",
    "phone": "555-555-0199",
    "company": "Company",
    "country_name": "United States of America",
    "country_iso": "US",
    "state_text": "STATE_ABBR_151",
    "state_abbr": "STATE_ABBR_151",
    "quick_checkout": false,
    "state_name": "STATE_NAME_151"
  },
  "ship_address": null,
  "payment_methods": []
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
x-spree-order-token
string

Path Parameters

order_id
string
required
id
string
required

Response

line item removed, returns updated order

id
string
required
number
string
required
state
string
required
token
string
required
email
string | null
required
special_instructions
string | null
required
currency
string
required
locale
string | null
required
item_count
number
required
state_lock_version
number
required
shipment_state
string | null
required
payment_state
string | null
required
item_total
string
required
display_item_total
string
required
ship_total
string
required
display_ship_total
string
required
adjustment_total
string
required
display_adjustment_total
string
required
promo_total
string
required
display_promo_total
string
required
tax_total
string
required
display_tax_total
string
required
included_tax_total
string
required
display_included_tax_total
string
required
additional_tax_total
string
required
display_additional_tax_total
string
required
total
string
required
display_total
string
required
completed_at
string | null
required
created_at
string
required
updated_at
string
required
order_promotions
object[]
required
line_items
object[]
required
shipments
object[]
required
payments
object[]
required
bill_address
object
required
ship_address
object
required
payment_methods
object[]
required